Jump to content

All Activity

This stream auto-updates

  1. Past hour
  2. Thanks Eldon. It's not really a matter of what's different but why it's different. The Tekla guy swears that he doesn't make objects which need the OVERKILL command on them to be efficient. In other words, he's telling me that Tekla is doing this when he exports it. Doesn't make sense to me but then again neither does the Tekla user.
  3. Today
  4. I see also that all the lineweights are 0.00. Must be the translation process that produces a pseudo AutoCAD drawing!!
  5. I have never had the opportunity to work with a Tekla Export file before, so I had a look and have a few comments. Overkill reduced the overlapping lines. The shapes are not exactly equal, and the Tekla corner radii seem to be made of straight lines with an arc!! It must be the translation process that produces these oddities. So, forewarned is forearmed and run overkill on any future files.
  6. I have an issue which I would like to settle. An associate of mine works mainly with Tekla. I asked him to export a portion of his drawing to DWG format. Here is what I get. The shape on the left is from the Tekla export to DWG. The shape on the right was created directly in AutoCAD. The shape on the left contains 128 elements. You can clearly see that there are dashed lines below continuous lines, but more so, some of the dashed lines are only covering partially the length of the the lines they are under and there is more than one. Whereas the shape on the right contains the minim
  7. Hi when I add the parameter superelvation to a subassmebly the properties do not change correctly when viewed in Civils3d. They show SupporAOR = 31 and UseSuperelevation = -1 when they should show SupportAOR as supported or unsupported. and UseSuperelvation as Left lane or right lane e.t.c
  8. devitg thank you for that, it's almost perfect for what I want! My data has rounded values from one digit to 3 decimal places. e.g. 0, 0.1, 0.04, -0.066 (My mistake for not providing this information) It appears that the lisp isn't working for single digit to two decimal place numbers (I could be mistaken). Regardless I really appreciate the help. I modified the following line and it appears to work? (CONS 1 "-#.###,-#.##,-#.#,#,#.#,#.##,#.###") I've attached an example DWG of some of the text that I am working with which I have already changed
  9. Tried to do Your homework but there is problem. Entget giving You entityname and point (where you clicked). SSget will not. The point is set now for startpoint. (defun c:flip2 (/ a b c i en pt ptx pty a1) (setq asnp (getvar "autosnap")) (setq osm (getvar "osmode")) (setvar "osmode" 64) (if (setq ss (ssget )) (repeat (setq i (sslength ss)) (setq en (ssname ss (setq i (1- i)))) ;(princ en) ;(setq b (cadr en)) ; this given you a point of clicked object (setq c (entget en)); this will give DXF code (setq b (assoc 10 c));this read first verticle of line or polyline ;(prin
  10. this is it! thank you so much sir! this is a big help
  11. There is a major problem, because ...as I said...I want to preserve block's object data table. After exploding block (or "burst" it), OD are lost.
  12. Dear Friend I have one issue could you please help me I have one mountain contour I want Plantation there with each 2 meter height wall then varies offset based on contour I want to make it in civil 3D for cut fill or 3D model please help me how can I do which software I can used for this Image-1 Plan and Contour Image-2 Typical Section Image-3 Details of Bench / Walls
  13. Is there anyone who can help ?
  14. Here is the LEEMAC code and the number of blocks I need to count, which is sent out here, as well as the results of my test. test.dwg DBCountV1-1.lsp
  15. Yes, but I tested it with your code, and there was no way to select the layer. I don't know why.
  16. Yesterday
  17. vuxvix

    Select Rotated Dimension

    Chào! @zwonko @mhupp I have read your topic. I also tried using the DIM-MO lisp. After the "Dimension selection" prompt, nothing happens. -The lisp in the replies I have also tried (everything seems to be around the stretch command). It is similar to the way I am using below: Use the command Stretch + macro selection Dims ( horizal or vertical ) However, my Horizal macro sometimes works incorrectly. Can you check it out!? Thanks -Based on Lisp Dimstrech: Is it possible to add an operation to deselection Dimensions horizontally or vertically (optional)!? Sel Hor_Ver Dimen
  18. Sorry, but my previous attempts to post had problems. I found that by simply changing the command from PLINE to SPLINE it works as predicted. Thanks for all the replies. Geometry was never my strong suit.
  19. However, if you want a spline, then you should draw a spline in the first place and you will have to define the start and finish tangents. Whatever you do, DO NOT Spline fit in PEDIT. If you do, the line will NOT pass through your points.
  20. Annotative text whose size is affected by the Viewport Annotative Scale of it's Viewport and Mtext which could have the entire text size overridden or multiple portions of the text overridden in different sizes could make this lisp rather complicated.
  21. Hi 0miscolse give it a try . attached a dwg sample ;************************************************************ ;; inicia-dist-from-origin ;***************************************************************** ;; Design by Gabo CALOS DE VIT from CORDOBA ARGENTINA ;;; Copyleft 1995-2021 by Gabriel Calos De Vit ; DEVITG@GMAIL.COM ;; (DEFUN C:CHG-CLR (/ ACAD-OBJ ADOC TEXT TEXT# TEXT-OBJ-SS TEXT-SS ) (VL-LOAD-COM) (SETQ ACAD-OBJ (VLAX-GET-ACA
  22. I use a modified version of layer-toggle-freeze.lsp by Jimmy Bergmark in a Ribbon Drop-Down Menu for lists of layers to toggle freeze or thaw. Example: ^P(or layer-toggle-freeze(load "layer-toggle-freeze.lsp"))(layer-toggle-freeze '("Vport")) or ^P(or layer-toggle-freeze(load "layer-toggle-freeze.lsp"))(layer-toggle-freeze '("V-NODE" "V-NODE-CNTR" "V-NODE-CURB" "V-NODE-DRVE" "V-NODE-DRIVE" "V-NODE-EOP" "V-NODE-EOR" "V-NODE-EOW" "V-NODE-ESW" "V-NODE-GARB" "V-NODE-GRAV" "V-NODE-LINE" "V-NODE-MRW" "V-NODE-RAIL" "V-NODE-SSWR" "V-NODE-TOB" "V-NODE-TOE" "V-NODE-TOEG" "V-NODE-TOPD" "
  23. Hi all, I found a lisp which allows me to enter in a min and max value for a range which then selects the text (which are numeric values e.g. -0.031 or 0.02) which fall in that range. I can then change the colours of the selected numbers. As I have 5 different number ranges which I want to use on a consistent basis, I was wondering if it would be possible for someone to help create a lisp which does this all automatically. I could simply run the lisp with no need to enter the range values or colours as they are already set within the lisp. The text ranges (inclusive) th
  24. If I understand correct you want the total of the number of blocks with the same length value. (defun c:blkcnt ( / lst ss blk val ) (setq lst '() lst2 '() lst3 '()) (setq ss (ssget (list (cons 0 "INSERT")(cons 2 "*U*")))) (repeat (setq x (sslength ss)) (setq blk (vlax-ename->vla-object (ssname ss (setq x (- x 1))))) (setq val (LM:getdynpropvalue blk "规格")) (setq lst (cons val lst)) ) (setq lst2 (remove_doubles lst)) (foreach len lst2 (setq cnt (my-count len lst)) (setq lst3 (cons (list len cnt) lst3)) ) (princ) ) (c:blkcnt) (pr
  25. Using PEDIT and FIT will convert the polyline to a series of arcs. Two arcs are created between each polyline vertex. The arc tangent will be the same where two arcs meet. That is, the curve will have a continuous its first derivative throughout its length. The result may deviate from the original polyline by quite a bit.. You may get a smoother result by using SPLINE and the FIT method specifying each of the 10 points for the spline's fit points. This will yield a spline with a continuous first and second second derivative, That is, a smooth function for the change in the change in
  26. Last week
  27. You want something like this "multi radio button2.lsp" and I use lee-mac dynamic block lisp. You can have up to about 20 values per column dont have to have same amount per column.Multi radio buttons 2col.lsp if (not ah:buttscol)(load "Multi Radio buttons 2col.lsp")) (if (= ah:but nil)(setq ah:but 1)) (if (= ah:but2 nil)(setq ah:but2 1)) (setq lst1 (list "Select rad 1" "5" "7.5" "10" "12.5" "15" "other r1")) (setq lst2 (list "Select rad 2" "20" "25" "30" "35" "40" "other r2")) (ah:buttscol ah:but ah:but2 "Dual Circles" lst1 lst2) (setq ans1 (nth ah:2col ah:butlst)) (set
  28. Glad you found a solution you like. Only here trying to help people.
  1. Load more activity
  • Newsletter

    Want to keep up to date with all our latest news and information?
    Sign Up
×
×
  • Create New...